TemporalTypeResolver (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations.attribute.type
Class TemporalTypeResolver

    java.lang.Object
      org.hibernate.metamodel.source.annotations.attribute.type.AbstractAttributeTypeResolver
          org.hibernate.metamodel.source.annotations.attribute.type.TemporalTypeResolver

All Implemented Interfaces:
  AttributeTypeResolver

    public class TemporalTypeResolver

extends AbstractAttributeTypeResolver

Constructor Summary
`TemporalTypeResolver(MappedAttribute mappedAttribute)`

Method Summary
`protected org.jboss.jandex.AnnotationInstance` | `getTypeDeterminingAnnotationInstance()`
`String` | `resolveHibernateTypeName(org.jboss.jandex.AnnotationInstance temporalAnnotation)`

Methods inherited from class org.hibernate.metamodel.source.annotations.attribute.type.AbstractAttributeTypeResolver
`getExplicitHibernateTypeName, getExplicitHibernateTypeParameters, resolveHibernateTypeParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemporalTypeResolver

    public TemporalTypeResolver(MappedAttribute mappedAttribute)

Method Detail

### resolveHibernateTypeName

    public String resolveHibernateTypeName(org.jboss.jandex.AnnotationInstance temporalAnnotation)

  Specified by:
    `resolveHibernateTypeName` in class `AbstractAttributeTypeResolver`

### getTypeDeterminingAnnotationInstance

    protected org.jboss.jandex.AnnotationInstance getTypeDeterminingAnnotationInstance()

  Specified by:
    `getTypeDeterminingAnnotationInstance` in class `AbstractAttributeTypeResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.